<list-template titleList="Visitas" #list [load]="service.loading | async" [service]="service">
  <ng-container content-type="search-filter">
    <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[1]"></search-bar>
  </ng-container>
  <table class="table table-striped table-bordered">
    <thead [class.border-bottom]="service.loading | async">
      <tr>
        <th>Identificacion</th>
        <th>Nombre</th>
        <th>Entrada</th>
        <th>Salida</th>
        <th>Residencia</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let v of service.data">
        <td>{{ v.VisitanteDNI | cedula }}</td>
        <td>{{ v.VisitanteNombre }}</td>
        <td>{{ v.Llegada | date:'dd-MM-yyyy hh:mm' }}</td>
        <td>{{ (v.Salida | date:'dd-MM-yyyy hh:mm') || '--' }}</td>
        <td>{{ v.ResidenciaNumero }}</td>
        <td class="table-action">
          <button class="btn btn-sm btn-info" (click)="list.onEdit(v)">
            <i class="mdi mdi-lead-pencil"></i>
          </button>
          <button class="btn btn-sm btn-danger" (click)="list.onDelete(v)">
            <i class="mdi mdi-delete"></i>
          </button>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
          <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
              No Hay Registros
          </td>
      </tr>
  </tfoot>
  </table>
</list-template>

<ng-template #form>
  <app-visita-form></app-visita-form>
</ng-template>
